package com.datacomsolusindo.cpx_processor

import com.datacomsolusindo.cpx_shared_code.utility.EnumData

class RawCallTransaction(
    var cost: Double = 0.0,
    var currency: String? = null,
    var direction: String = "G",
    var discount: Double = 0.0,
    var duration: Long = 0,
    var extension: String? = null,
    var number: String = "",
    var phoneType: Int = 0,
    var pin: String? = null,
    var rawData: String? = null,
    var service: Double = 0.0,
    var startOfCall: String = "1999-10-28 06:05:00",
    var tag: String? = null,
    var tax: Double = 0.0,
    var accountUid: String? = null,
    var areaUid: String? = null,
    var costCenterUid: String? = null,
    var destinationGroupUid: String? = null,
    var organizationUid: String? = null,
    var phoneUserUid: String? = null,
    var zoneUid: String? = null,
    var rateUid: String? = null,
    var trunkUid: String? = null,
    var pbxUid: String? = null,
    //---------
    var startOfAnswer: String? = null,
    var endOfCall: String? = null,
    var callerNumber: String? = null,
    var ownerPin: String? = null,
    var extTransferFrom: String? = null,
    var extTransferTo: String? = null,
    var pulse: String? = null,
    var transferType: EnumData.TransferType? = null,
    var conferenceType: EnumData.ConferenceType? = null,
    var communicationType: EnumData.CommunicationType? = null
) {
//    "28500, " + //cost
//    "NULL, " + //currency
//    "NULL, " + //direction
//    "0, " + //discount
//    "190, " + //duration
//    "'10108', " + //extension
//    "'8900', " + //number
//    "'0', " + //phone_type
//    "NULL, " + //pin
//    "NULL, " + //raw_data
//    "0, " + //service
//    "'2024-10-28T06:05:00.376Z', " + //start of call
//    "NULL, " + // tag
//    "0, " + // tax
//    "NULL, " + // account_uid
//    "NULL, " + // area_uid
//    "NULL, " + // cost center uid
//    "NULL, " + // destination group uid
//    "'01JBJVDKZP2GC3D1CPEF5HFDZR', " + // organization_uid
//    "'01JAS3NSHHMBY4CFHZG5GN3PVY', " + // phone user uid
//    "'01JBDRQYG5PTWR6HTJMWKFYHNJ', " + //zone uid
//    "NULL, " + //rate_uid
//    "'01JAVMG99CM0AN0TJQW0BQB6XA', " + // trunk_uid
//    "NULL" +
}